{
  "version": "0.2.0",
  "configurations": [
    {
      "defines": [
        "GLFW_INCLUDE_NONE"
      ],
      "name": "C/C++ Runner: Debug Session",
      "type": "cppdbg",
      "request": "launch",
      "args": [
        ""
      ],
      "stopAtEntry": false,
      "cwd": "${workspaceFolder}/Engine/engine",
      "environment": [],
      "program": "${workspaceFolder}/Engine/engine/build/Debug/outDebug",
      "internalConsoleOptions": "openOnSessionStart",
      "MIMode": "gdb",
      "miDebuggerPath": "gdb",
      "externalConsole": false,
      "setupCommands": [
        {
          "description": "Enable pretty-printing for gdb",
          "text": "-enable-pretty-printing",
          "ignoreFailures": true
        }
      ]
    }
  ]
}